curl --request POST \
--url https://storefront.glood.ai/api/storefront/v3/headless/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": {
"id": "evt-atc-001",
"name": "glood:section:add_to_cart",
"type": "custom",
"timestamp": "2026-04-17T10:30:00Z",
"data": {},
"customData": {
"track": {
"section": "221939",
"parent": {
"productId": "15441118822774",
"variantId": null
},
"products": [
{
"productId": "15441118953846",
"variantId": "56640794886518",
"quantity": 1
}
],
"sectionServeId": "2ec3ae42-40f4-44ec-9aa8-dd907474b51c",
"recommendationType": "similar_products"
}
}
},
"session_id": "sess-abc123",
"client_id": "client-xyz",
"channel": "headless",
"page_type": "product",
"page_url": "https://example.com/products/classic-shirt"
}
'{
"ok": true
}{
"error": 123,
"message": "<string>"
}Headless APIs
Send Headless Events
Send tracking events from headless, mobile, or hydrogen storefronts.
POST
/
api
/
storefront
/
v3
/
headless
/
events
curl --request POST \
--url https://storefront.glood.ai/api/storefront/v3/headless/events \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event": {
"id": "evt-atc-001",
"name": "glood:section:add_to_cart",
"type": "custom",
"timestamp": "2026-04-17T10:30:00Z",
"data": {},
"customData": {
"track": {
"section": "221939",
"parent": {
"productId": "15441118822774",
"variantId": null
},
"products": [
{
"productId": "15441118953846",
"variantId": "56640794886518",
"quantity": 1
}
],
"sectionServeId": "2ec3ae42-40f4-44ec-9aa8-dd907474b51c",
"recommendationType": "similar_products"
}
}
},
"session_id": "sess-abc123",
"client_id": "client-xyz",
"channel": "headless",
"page_type": "product",
"page_url": "https://example.com/products/classic-shirt"
}
'{
"ok": true
}{
"error": 123,
"message": "<string>"
}Authorizations
Headers
Body
application/json
Event payload
Was this page helpful?